libgeglmm: Gegl::Processor Class Reference

libgeglmm

Public Member Functions | Related Functions
Gegl::Processor Class Reference
Inheritance diagram for Gegl::Processor:
[legend]

List of all members.

## Public Member Functions
void | destroy ()
GeglProcessor* | gobj ()
| Provides access to the underlying C GObject.
const GeglProcessor* | gobj () const
| Provides access to the underlying C GObject.
GeglProcessor* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
| Processor ()
Glib::PropertyProxy_ReadOnly< int > | property_chunksize () const
| Size of chunks being rendered (larger chunks need more memory to do the processing).
Glib::PropertyProxy_WriteOnly < Glib::RefPtr< Gegl::Node > > | property_node ()
| The GeglNode to process (will saturate the provider's cache if the provided node is a sink node).
Glib::PropertyProxy< double > | property_progress ()
| query progress; 0.0 is not started, 1.0 is done.
Glib::PropertyProxy_ReadOnly < double > | property_progress () const
| query progress; 0.0 is not started, 1.0 is done.
Glib::PropertyProxy < Gegl::Rectangle& > | property_rectangle ()
| The rectangle of the region to process.
Glib::PropertyProxy_ReadOnly < Gegl::Rectangle& > | property_rectangle () const
| The rectangle of the region to process.
void | set_rectangle (const Rectangle& rectangle)
bool | work (double& progress)
virtual | ~Processor ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gegl::Processor > | wrap (GeglProcessor* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gegl::Processor::~Processor | ( |  | ) | `[virtual]`

Gegl::Processor::Processor | ( |  | ) |

## Member Function Documentation

void Gegl::Processor::destroy | ( |  | ) |

GeglProcessor* Gegl::Processor::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GeglProcessor* Gegl::Processor::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GeglProcessor* Gegl::Processor::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly< int> Gegl::Processor::property_chunksize | ( |  | ) | const

Size of chunks being rendered (larger chunks need more memory to do the processing).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gegl::Node> > Gegl::Processor::property_node | ( |  | ) |

The GeglNode to process (will saturate the provider's cache if the provided node is a sink node).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< double> Gegl::Processor::property_progress | ( |  | ) |

query progress; 0.0 is not started, 1.0 is done.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double> Gegl::Processor::property_progress | ( |  | ) | const

query progress; 0.0 is not started, 1.0 is done.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gegl::Rectangle&> Gegl::Processor::property_rectangle | ( |  | ) |

The rectangle of the region to process.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gegl::Rectangle&> Gegl::Processor::property_rectangle | ( |  | ) | const

The rectangle of the region to process.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gegl::Processor::set_rectangle | ( | const Rectangle& | rectangle | ) |

bool Gegl::Processor::work | ( | double & | progress | ) |

## Friends And Related Function Documentation

Glib::RefPtr< Gegl::Processor > wrap | ( | GeglProcessor * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- processor.h